services:
  _defaults:
    autowire: true
    autoconfigure: true

  AutoAdmin\Bundle\Admin\Configuration\ConfigManager:
    arguments:
      - '%aa_admin_file_config%'
      - '@AutoAdmin\Bundle\Admin\Configuration\ConfigBuilder'
      -
  AutoAdmin\Bundle\Admin\Configuration\ConfigBuilder:
    arguments:
      - '@AutoAdmin\Bundle\Core\Slugger\Slugger'
      - '@AutoAdmin\Bundle\Core\Util\CaseConverter'
      - '@AutoAdmin\Bundle\Admin\Attribute\Loader\AttributeLoader'
      - '@AutoAdmin\Bundle\Admin\Form\TypeGuesser\TypeGuesserManager'
      - !tagged_iterator aa_admin.extra_config # will be filled with ExtraConfigInterface tagged with "aa_admin.extra_config" implementations
      - '@translator'
      - '@webpack_encore.entrypoint_lookup_collection'